Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27497

Description

Qlrfiles are not stored with absolute paths even though the project setting is changed to absolute paths.

I do the following in QGIS 3.2 (Windows):

- In project settings change the setting to store absolute paths and not relative.

- Save the QGIS-project

- Add a shapefile 

- Right click on the shapefile in the layer panel and select Export --> Save as Layer Definition File

When I open the qlrfile in a text editor, I can see that the qlr-file is stored with relative paths not absolute paths (see picture attached)

(I have checked that the absolute paths are used in the QGIS-projectfile)

When I save a qlrfile in QGIS 2.18.23, where the paths are changed to absolute in the project settings, the paths in the qlr-file is saved as

absolute paths (see picture attached).

Tested with QGIS 3.2 and QGIS 3.3.0-48

Related issues:

Duplicated by QGIS Application - Bug report # 21515: Qlrfiles are not stored ... Closed 2019-03-07

History

#1 - 2018-08-23 11:07 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Category changed from Data Provider to Unknown

#2 - 2018-12-28 11:38 AM - Paolo Cavallini

Could you please check with current release?

Thanks.

#3 - 2018-12-28 03:03 PM - Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

Could you please check with current release?
Thanks.

Please change status to "feedback" when needed.

#4 - 2019-01-04 01:56 PM - Filip Mahieu

Tested on 3.4.1: problem stil exists..

#5 - 2019-01-04 01:56 PM - Giovanni Manghi

Filip Mahieu wrote:

Tested on 3.4.1: problem stil exists..

current release is 3.4.3

#6 - 2019-01-09 05:35 PM - Mie Winstrup

Tested with QGIS 3.4.3 - and now it works.

Thanks alot for fixing this.

#7 - 2019-01-09 05:38 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

#8 - 2019-03-08 09:16 AM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from QGIS 3.2: Qlrfiles are not stored with absolute paths even though the project setting is changed to absolute paths. to QLR files 

are not stored with absolute paths even though the project setting is changed to absolute paths

- Status changed from Closed to Open

- Resolution deleted (fixed/implemented)

not fixed  in both 3.4.5 and 3.6.

#9 - 2019-03-08 09:17 AM - Giovanni Manghi

- Duplicated by Bug report #21515: Qlrfiles are not stored with absolute paths even though the project setting is changed to absolute paths. added

#10 - 2019-04-26 02:42 PM - Mie Winstrup

Yes, the problem still exists in QGIS 3.6.2.

#11 - 2019-05-01 06:11 PM - Giovanni Manghi

- Affected QGIS version changed from 3.2.2 to 3.6.2
